package au.gov.health.covidsafe.streetpass

import android.content.Context
import au.gov.health.covidsafe.bluetooth.gatt.GattServer
import au.gov.health.covidsafe.bluetooth.gatt.GattService

class StreetPassServer constructor(val context: Context, serviceUUIDString: String) {

    private val TAG = "StreetPassServer"
    private var gattServer: GattServer? = null

    init {
        gattServer = setupGattServer(context, serviceUUIDString)
    }

    private fun setupGattServer(context: Context, serviceUUIDString: String): GattServer? {
        val gattServer = GattServer(context, serviceUUIDString)
        val started = gattServer.startServer()

        if (started) {
            val readService = GattService(context, serviceUUIDString)
            gattServer.addService(readService)
            return gattServer
        }
        return null
    }

    fun tearDown() {
        gattServer?.stop()
    }

}